TLS 1.3 will be the minimum connection requirement

To protect the privacy and security of users using our internet services, we have made network adjustments for the relevant services. The specific matters are as follows.

  1. When use our internet services, you must link through HTTPS protocol and require TLS version not less than 1.3.
  2. Add support for Tor network.

Thank you for your understanding and cooperation. Wishing you a happy life.

滚动至顶部